<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="x" uri="http://java.sun.com/jsp/jstl/xml" %>

<html>
    <head>
        <title>Example of x:forEach JSTL Tag</title>
    </head>
    
    <body>
        <c:import var="docString" url="employee.xml"/>
        <x:parse var="doc" doc="${docString}"/>
        <table border=1 width="50%">
            <tr>
                <td valign="top"><pre><c:out value="${docString}"/></pre></td>
                <td>
                    <table border=1>
                        <tr>
                            <th>Result of forEach var="item" select="$doc//emp" 
                            begin="0" end="12" step="1" varStatus="status></th>
                        </tr>
                        <x:forEach var="item" select="$doc//emp" 
                                   begin="0" end="3" step="1" varStatus="status">
                            <tr>
                                <td>
                                    <x:out select="$item/name" /><br>
                                    <x:out select="$item/age" /><br>
                                    <x:out select="$item/designation" /><br>
                                    
                                </td>   
                            </tr>
                        </x:forEach>         
                    </table>
                </td>
            </tr>
        </table>
    </body>
</html>
